package ru.landgrafhomyak.db.serdha0.api.module

import kotlin.jvm.JvmName
import ru.landgrafhomyak.db.serdha0.api.queries._Query
import ru.landgrafhomyak.db.serdha0.api.runtime.Executor


public interface Module<mUE : Any> {
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("uExt")
	public val uExt: mUE

	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("getVersionKey")
	public val versionKey: String

	public fun <R : Any> createQuery(c: _Query.Constructor<R>): R

	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("executor")
	public val executor: Executor
}